Skip to content

Commit

Permalink
*.bash: always use the same string equality operator
Browse files Browse the repository at this point in the history
POSIX Shell only supports = to compare variables inside '[' tests. But
this is Bash, where == is an alias for =. In practice they're the same,
but the current form is inconsisnent and breaks POSIX for no good
reason.

Change-Id: I38fa7a5a90658dc51acc2acd143049e510424ed8
Reviewed-on: https://go-review.googlesource.com/38031
Reviewed-by: Ian Lance Taylor <[email protected]>
Run-TryBot: Ian Lance Taylor <[email protected]>
TryBot-Result: Gobot Gobot <[email protected]>
  • Loading branch information
mvdan authored and ianlancetaylor committed Mar 14, 2017
1 parent 723ba18 commit a9824cd
Show file tree
Hide file tree
Showing 8 changed files with 22 additions and 22 deletions.
2 changes: 1 addition & 1 deletion doc/articles/wiki/test.bash
Original file line number Diff line number Diff line change
Expand Up @@ -20,7 +20,7 @@ trap cleanup 0 INT
rm -f get.bin final-test.bin a.out

# If called with -all, check that all code snippets compile.
if [ "$1" == "-all" ]; then
if [ "$1" = "-all" ]; then
for fn in *.go; do
go build -o a.out $fn
done
Expand Down
2 changes: 1 addition & 1 deletion lib/time/update.bash
Original file line number Diff line number Diff line change
Expand Up @@ -42,7 +42,7 @@ zip -0 -r ../../zoneinfo.zip *
cd ../..

echo
if [ "$1" == "-work" ]; then
if [ "$1" = "-work" ]; then
echo Left workspace behind in work/.
else
rm -rf work
Expand Down
2 changes: 1 addition & 1 deletion misc/cgo/fortran/test.bash
Original file line number Diff line number Diff line change
Expand Up @@ -12,7 +12,7 @@ FC=$1
goos=$(go env GOOS)

libext="so"
if [ "$goos" == "darwin" ]; then
if [ "$goos" = "darwin" ]; then
libext="dylib"
fi

Expand Down
18 changes: 9 additions & 9 deletions misc/cgo/testcshared/test.bash
Original file line number Diff line number Diff line change
Expand Up @@ -27,7 +27,7 @@ fi
# Directory where cgo headers and outputs will be installed.
# The installation directory format varies depending on the platform.
installdir=pkg/${goos}_${goarch}_testcshared_shared
if [ "${goos}" == "darwin" ]; then
if [ "${goos}" = "darwin" ]; then
installdir=pkg/${goos}_${goarch}_testcshared
fi

Expand All @@ -40,13 +40,13 @@ function cleanup() {
rm -f testp testp2 testp3 testp4 testp5
rm -rf pkg "${goroot}/${installdir}"

if [ "$goos" == "android" ]; then
if [ "$goos" = "android" ]; then
adb shell rm -rf "$androidpath"
fi
}
trap cleanup EXIT

if [ "$goos" == "android" ]; then
if [ "$goos" = "android" ]; then
adb shell mkdir -p "$androidpath"
fi

Expand All @@ -69,7 +69,7 @@ function run() {

function binpush() {
bin=${1}
if [ "$goos" == "android" ]; then
if [ "$goos" = "android" ]; then
adb push "$bin" "${androidpath}/${bin}" 2>/dev/null
fi
}
Expand All @@ -79,7 +79,7 @@ rm -rf pkg
suffix="-installsuffix testcshared"

libext="so"
if [ "$goos" == "darwin" ]; then
if [ "$goos" = "darwin" ]; then
libext="dylib"
fi

Expand All @@ -89,15 +89,15 @@ GOPATH=$(pwd) go install -buildmode=c-shared $suffix libgo
GOPATH=$(pwd) go build -buildmode=c-shared $suffix -o libgo.$libext src/libgo/libgo.go
binpush libgo.$libext

if [ "$goos" == "linux" ] || [ "$goos" == "android" ] ; then
if [ "$goos" = "linux" ] || [ "$goos" = "android" ] ; then
if readelf -d libgo.$libext | grep TEXTREL >/dev/null; then
echo "libgo.$libext has TEXTREL set"
exit 1
fi
fi

GOGCCFLAGS=$(go env GOGCCFLAGS)
if [ "$goos" == "android" ]; then
if [ "$goos" = "android" ]; then
GOGCCFLAGS="${GOGCCFLAGS} -pie"
fi

Expand Down Expand Up @@ -127,7 +127,7 @@ fi
GOPATH=$(pwd) go build -buildmode=c-shared $suffix -o libgo2.$libext libgo2
binpush libgo2.$libext
linkflags="-Wl,--no-as-needed"
if [ "$goos" == "darwin" ]; then
if [ "$goos" = "darwin" ]; then
linkflags=""
fi
$(go env CC) ${GOGCCFLAGS} -o testp2 main2.c $linkflags libgo2.$libext
Expand All @@ -139,7 +139,7 @@ if [ "$output" != "PASS" ]; then
fi

# test3: tests main.main is exported on android.
if [ "$goos" == "android" ]; then
if [ "$goos" = "android" ]; then
$(go env CC) ${GOGCCFLAGS} -o testp3 main3.c -ldl
binpush testp3
output=$(run ./testp ./libgo.so)
Expand Down
4 changes: 2 additions & 2 deletions misc/cgo/testsanitizers/test.bash
Original file line number Diff line number Diff line change
Expand Up @@ -72,7 +72,7 @@ testmsanshared() {
goos=$(go env GOOS)
suffix="-installsuffix testsanitizers"
libext="so"
if [ "$goos" == "darwin" ]; then
if [ "$goos" = "darwin" ]; then
libext="dylib"
fi
go build -msan -buildmode=c-shared $suffix -o ${TMPDIR}/libmsanshared.$libext msan_shared.go
Expand Down Expand Up @@ -135,7 +135,7 @@ testtsanshared() {
goos=$(go env GOOS)
suffix="-installsuffix tsan"
libext="so"
if [ "$goos" == "darwin" ]; then
if [ "$goos" = "darwin" ]; then
libext="dylib"
fi
go build -buildmode=c-shared $suffix -o ${TMPDIR}/libtsanshared.$libext tsan_shared.go
Expand Down
6 changes: 3 additions & 3 deletions src/iostest.bash
Original file line number Diff line number Diff line change
Expand Up @@ -24,11 +24,11 @@ if [ "$GOARCH" != "arm" ] && [ "$GOARCH" != "arm64" ]; then
echo "iostest.bash requires GOARCH=arm or GOARCH=arm64, got GOARCH=$GOARCH" 1>&2
exit 1
fi
if [ "$GOARCH" == "arm" ]; then
if [ "$GOARCH" = "arm" ]; then
export GOARM=7
fi

if [ "$1" == "-restart" ]; then
if [ "$1" = "-restart" ]; then
# Reboot to make sure previous runs do not interfere with the current run.
# It is reasonably easy for a bad program leave an iOS device in an
# almost unusable state.
Expand Down Expand Up @@ -60,7 +60,7 @@ GOOS=$GOHOSTOS GOARCH=$GOHOSTARCH go build \
-o ../bin/go_darwin_${GOARCH}_exec \
../misc/ios/go_darwin_arm_exec.go

if [ "$GOIOS_DEV_ID" == "" ]; then
if [ "$GOIOS_DEV_ID" = "" ]; then
echo "detecting iOS development identity"
eval $(GOOS=$GOHOSTOS GOARCH=$GOHOSTARCH go run ../misc/ios/detect.go)
fi
Expand Down
4 changes: 2 additions & 2 deletions src/make.bash
Original file line number Diff line number Diff line change
Expand Up @@ -107,7 +107,7 @@ done
# Test for debian/kFreeBSD.
# cmd/dist will detect kFreeBSD as freebsd/$GOARCH, but we need to
# disable cgo manually.
if [ "$(uname -s)" == "GNU/kFreeBSD" ]; then
if [ "$(uname -s)" = "GNU/kFreeBSD" ]; then
export CGO_ENABLED=0
fi

Expand All @@ -125,7 +125,7 @@ if [ ! -x "$GOROOT_BOOTSTRAP/bin/go" ]; then
echo "Set \$GOROOT_BOOTSTRAP to a working Go tree >= Go 1.4." >&2
exit 1
fi
if [ "$GOROOT_BOOTSTRAP" == "$GOROOT" ]; then
if [ "$GOROOT_BOOTSTRAP" = "$GOROOT" ]; then
echo "ERROR: \$GOROOT_BOOTSTRAP must not be set to \$GOROOT" >&2
echo "Set \$GOROOT_BOOTSTRAP to a working Go tree >= Go 1.4." >&2
exit 1
Expand Down
6 changes: 3 additions & 3 deletions src/run.bash
Original file line number Diff line number Diff line change
Expand Up @@ -36,12 +36,12 @@ ulimit -c 0
# This is a system misconfiguration and should be fixed on the
# broken system, not "fixed" by ignoring the failure here.
# See longer discussion on golang.org/issue/7381.
[ "$(ulimit -H -n)" == "unlimited" ] || ulimit -S -n $(ulimit -H -n)
[ "$(ulimit -H -d)" == "unlimited" ] || ulimit -S -d $(ulimit -H -d)
[ "$(ulimit -H -n)" = "unlimited" ] || ulimit -S -n $(ulimit -H -n)
[ "$(ulimit -H -d)" = "unlimited" ] || ulimit -S -d $(ulimit -H -d)

# Thread count limit on NetBSD 7.
if ulimit -T &> /dev/null; then
[ "$(ulimit -H -T)" == "unlimited" ] || ulimit -S -T $(ulimit -H -T)
[ "$(ulimit -H -T)" = "unlimited" ] || ulimit -S -T $(ulimit -H -T)
fi

exec go tool dist test -rebuild "$@"

0 comments on commit a9824cd

Please sign in to comment.